Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs	(revision 51)
@@ -0,0 +1,423 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 入金明細データアクセスクラス
+    /// </summary>
+    public class IODepositDataDetail : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 請求データフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            OrderersDivision = 0,
+            OrderersCode,
+            TargetDate,
+            SeqNo,
+            LineCount,
+            RequestNo,
+            OrderNo,
+            DepositAmount,
+            DiscountAmount,
+            CnstrPrice,
+            Fees,
+            OtherAdjustments,
+            CarryAmount,
+            ApprovalPersonCode,
+            ApprovalDate,
+            ApprovalEndFlg,
+            ENTRY_DATE,
+            UPDATE_DATE,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="connectionString"></param>
+        public IODepositDataDetail()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 入金明細データ検索
+        /// <summary>
+        /// 入金明細データ検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<DepositDataDetail> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " OrderersDivision";
+                strcmd += " ,OrderersCode";
+                strcmd += " ,DATE_FORMAT(TargetDate, '%Y/%m/%d')";
+                strcmd += " ,SeqNo";
+                strcmd += " ,LineCount";
+                strcmd += " ,RequestNo";
+                strcmd += " ,OrderNo";
+                strcmd += " ,DepositAmount";
+                strcmd += " ,DiscountAmount";
+                strcmd += " ,CnstrPrice";
+                strcmd += " ,Fees";
+                strcmd += " ,OtherAdjustments";
+                strcmd += " ,CarryAmount";
+                strcmd += " ,ApprovalPersonCode";
+                strcmd += " ,DATE_FORMAT(ApprovalDate, '%Y/%m/%d')";
+                strcmd += " ,ApprovalEndFlg";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM DepositDataDetail";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    DepositDataDetail work = new DepositDataDetail();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金明細データ複数追加
+        /// <summary>
+        /// 入金明細データ複数追加
+        /// </summary>
+        /// <param name="data">入金明細データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<DepositDataDetail> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (DepositDataDetail work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金明細データ１件追加
+        /// <summary>
+        /// 入金明細データ１件追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(DepositDataDetail data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO DepositDataDetail";
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format(" {0}", data.OrderersDivision.ToString());
+                strcmd += string.Format(", {0}", data.OrderersCode.ToString());
+                strcmd += string.Format(", {0}", data.TargetDate.ToString());
+                strcmd += string.Format(", {0}", data.SeqNo.ToString());
+                strcmd += string.Format(", {0}", data.LineCount.ToString());
+                strcmd += string.Format(", {0}", data.RequestNo.ToString());
+                strcmd += string.Format(", {0}", data.OrderNo.ToString());
+                strcmd += string.Format(", {0}", data.DepositAmount.ToString());
+                strcmd += string.Format(", {0}", data.DiscountAmount.ToString());
+                strcmd += string.Format(", {0}", data.CnstrPrice.ToString());
+                strcmd += string.Format(", {0}", data.Fees.ToString());
+                strcmd += string.Format(", {0}", data.OtherAdjustments.ToString());
+                strcmd += string.Format(", {0}", data.CarryAmount.ToString());
+                strcmd += string.Format(", {0}", data.ApprovalPersonCode.ToString());
+                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ApprovalDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.ApprovalEndFlg ? 1 : 0);
+
+                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金明細データ更新
+        /// <summary>
+        /// 入金明細データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">入金明細データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, DepositDataDetail data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE DepositDataDetail";
+
+                strcmd += " SET";
+
+//                strcmd += string.Format(" OrderersDivision = {0}", data.OrderersDivision.ToString());
+//                strcmd += string.Format(",OrderersCode = {0}", data.OrderersCode.ToString());
+//                strcmd += string.Format(",TargetDate = '{0}'", data.TargetDate);
+//                strcmd += string.Format(",SeqNo = {0}", data.SeqNo.ToString());
+//                strcmd += string.Format(",LineCount = {0}", data.LineCount.ToString());
+                strcmd += string.Format(" RequestNo = {0}", data.RequestNo.ToString());
+                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd += string.Format(",DepositAmount = {0}", data.DepositAmount.ToString());
+                strcmd += string.Format(",DiscountAmount = {0}", data.DiscountAmount.ToString());
+                strcmd += string.Format(",CnstrPrice = {0}", data.CnstrPrice.ToString());
+                strcmd += string.Format(",Fees = {0}", data.Fees.ToString());
+                strcmd += string.Format(",OtherAdjustments = {0}", data.OtherAdjustments.ToString());
+                strcmd += string.Format(",CarryAmount = {0}", data.CarryAmount.ToString());
+                strcmd += string.Format(",ApprovalPersonCode = {0}", data.ApprovalPersonCode.ToString());
+                strcmd += string.Format(",ApprovalDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.ApprovalDate.ToShortDateString());
+                strcmd += string.Format(",ApprovalEndFlg = {0}", data.ApprovalEndFlg ? 1 : 0);
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += string.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3} and LineCount = {4} ",
+                    data.OrderersDivision, data.OrderersCode, data.TargetDate, data.SeqNo, data.LineCount);
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 入金明細データ削除
+        /// <summary>
+        /// 入金明細データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM DepositDataDetail", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref DepositDataDetail wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.OrderersDivision = int.Parse(objwrk[(int)NameColumn.OrderersDivision].ToString());
+                wrk.OrderersCode = int.Parse(objwrk[(int)NameColumn.OrderersCode].ToString());
+                wrk.TargetDate = objwrk[(int)NameColumn.TargetDate].ToString();
+                wrk.SeqNo = int.Parse(objwrk[(int)NameColumn.SeqNo].ToString());
+                wrk.LineCount = int.Parse(objwrk[(int)NameColumn.LineCount].ToString());
+                wrk.RequestNo = int.Parse(objwrk[(int)NameColumn.RequestNo].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)NameColumn.OrderNo].ToString());
+                wrk.DepositAmount = int.Parse(objwrk[(int)NameColumn.DepositAmount].ToString());
+                wrk.DiscountAmount = int.Parse(objwrk[(int)NameColumn.DiscountAmount].ToString());
+                wrk.CnstrPrice = int.Parse(objwrk[(int)NameColumn.CnstrPrice].ToString());
+                wrk.Fees = int.Parse(objwrk[(int)NameColumn.Fees].ToString());
+                wrk.OtherAdjustments = int.Parse(objwrk[(int)NameColumn.OtherAdjustments].ToString());
+                wrk.CarryAmount = int.Parse(objwrk[(int)NameColumn.CarryAmount].ToString());
+                wrk.ApprovalPersonCode = int.Parse(objwrk[(int)NameColumn.ApprovalPersonCode].ToString());
+                wrk.ApprovalDate = DateTime.Parse(objwrk[(int)NameColumn.ApprovalDate].ToString());
+                wrk.ApprovalEndFlg = (int.Parse(objwrk[(int)NameColumn.ApprovalEndFlg].ToString()) != 0);
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref DepositDataDetail wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.OrderersDivision = 0;
+                wrk.OrderersCode = 0;
+                wrk.TargetDate = string.Empty;
+                wrk.SeqNo = 0;
+                wrk.LineCount = 0;
+                wrk.RequestNo = 0;
+                wrk.OrderNo = 0;
+                wrk.DepositAmount = 0;
+                wrk.DiscountAmount = 0;
+                wrk.CnstrPrice = 0;
+                wrk.Fees = 0;
+                wrk.OtherAdjustments = 0;
+                wrk.CarryAmount = 0;
+                wrk.ApprovalPersonCode = 0;
+                wrk.ApprovalDate = DateTime.MinValue;
+                wrk.ApprovalEndFlg = false;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int OrderersDivision, int OrderersCode = 0, string TargetDate = "", int SeqNo = 0, int LineCount = 0)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where OrderersDivision = {0}", OrderersDivision.ToString());
+                if (OrderersCode != 0)
+                    strWork += string.Format(" And OrderersCode = {0}", OrderersCode.ToString());
+                if (!TargetDate.Equals(""))
+                    strWork += " And TargetDate = " + TargetDate;
+                if (SeqNo != 0)
+                    strWork += string.Format(" And SeqNo = {0}", SeqNo.ToString());
+                if (LineCount != 0)
+                    strWork += string.Format(" And LineCount = {0}", LineCount.ToString());
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region サブキー検索の文字列を返す
+        /// <summary>
+        /// サブキー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreateSubkeyString(int RequestNo, int OrderNo = 0)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where RequestNo = {0}", RequestNo.ToString());
+                if (OrderNo != 0)
+                    strWork += string.Format(" And OrderNo = {0}", OrderNo.ToString());
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudget.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudget.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudget.cs	(revision 51)
@@ -31,7 +31,7 @@
         /// <summary>
         /// 積算予算ページデータフィールド並び
         /// </summary>
-        public enum EstimateBudgetColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,	    // 工事番号
             ConstructionTime,	        // 工期
@@ -184,7 +184,7 @@
                 strcmd += string.Format("  {0}", work.ConstructionCode);                    // 工事番号
                 strcmd += string.Format(", {0}", work.ConstructionTime);	                // 工期
                 strcmd += string.Format(", {0}", work.IntegratedCode);                      // 積算者
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')",
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')",
                                                 work.DataCreateDate.ToShortDateString());   // データ引込日
                 strcmd += string.Format(", {0}", work.RetValue1);                           // 予定価格
                 strcmd += string.Format(", {0}", work.RetValue2);                           // 直接工事費
@@ -192,8 +192,8 @@
                 strcmd += string.Format(", {0}", work.RetValue4);                           // 積み上げ現場管理費
                 strcmd += string.Format(", {0}", work.RetPercent);                          // 一般管理費率
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -255,7 +255,7 @@
 
                 strcmd += string.Format(",ConstructionTime = {0}", data.ConstructionTime);                      // 工期
                 strcmd += string.Format(",IntegratedCode = {0}", data.IntegratedCode);                          // 積算者
-                strcmd += string.Format(",DataCreateDate = DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')",
+                strcmd += string.Format(",DataCreateDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')",
                                                                     data.DataCreateDate.ToShortDateString());   // データ引込日
                 strcmd += string.Format(",RetValue1 = {0}", data.RetValue1);                                    // 予定価格
                 strcmd += string.Format(",RetValue2 = {0}", data.RetValue2);                                    // 直接工事費
@@ -263,7 +263,7 @@
                 strcmd += string.Format(",RetValue4 = {0}", data.RetValue4);                                    // 積み上げ現場管理費
                 strcmd += string.Format(",RetPercent = {0}", data.RetPercent);                                  // 一般管理費率
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -317,19 +317,19 @@
             {
                 // データ取得
 
-                wrk.ConstructionCode = int.Parse(objwrk[(int)EstimateBudgetColumn.ConstructionCode].ToString());	        // 工事番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());	        // 工事番号
 
-                wrk.ConstructionTime = double.Parse(objwrk[(int)EstimateBudgetColumn.ConstructionTime].ToString());	        // 工期
-                wrk.IntegratedCode = int.Parse(objwrk[(int)EstimateBudgetColumn.IntegratedCode].ToString());                // 積算者
-                wrk.DataCreateDate = DateTime.Parse(objwrk[(int)EstimateBudgetColumn.DataCreateDate].ToString());           // 引込日
-                wrk.RetValue1 = double.Parse(objwrk[(int)EstimateBudgetColumn.RetValue1].ToString());	                    // 予定価格
-                wrk.RetValue2 = double.Parse(objwrk[(int)EstimateBudgetColumn.RetValue2].ToString());	                    // 直接工事費
-                wrk.RetValue3 = double.Parse(objwrk[(int)EstimateBudgetColumn.RetValue3].ToString());	                    // 積み上げ共通仮設費
-                wrk.RetValue4 = double.Parse(objwrk[(int)EstimateBudgetColumn.RetValue4].ToString());	                    // 積み上げ現場管理費
-                wrk.RetPercent = double.Parse(objwrk[(int)EstimateBudgetColumn.RetPercent].ToString());	                    // 一般管理費率
+                wrk.ConstructionTime = double.Parse(objwrk[(int)TableColumn.ConstructionTime].ToString());	        // 工期
+                wrk.IntegratedCode = int.Parse(objwrk[(int)TableColumn.IntegratedCode].ToString());                // 積算者
+                wrk.DataCreateDate = DateTime.Parse(objwrk[(int)TableColumn.DataCreateDate].ToString());           // 引込日
+                wrk.RetValue1 = double.Parse(objwrk[(int)TableColumn.RetValue1].ToString());	                    // 予定価格
+                wrk.RetValue2 = double.Parse(objwrk[(int)TableColumn.RetValue2].ToString());	                    // 直接工事費
+                wrk.RetValue3 = double.Parse(objwrk[(int)TableColumn.RetValue3].ToString());	                    // 積み上げ共通仮設費
+                wrk.RetValue4 = double.Parse(objwrk[(int)TableColumn.RetValue4].ToString());	                    // 積み上げ現場管理費
+                wrk.RetPercent = double.Parse(objwrk[(int)TableColumn.RetPercent].ToString());	                    // 一般管理費率
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)EstimateBudgetColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)EstimateBudgetColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -342,6 +342,65 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE EstimateBudget";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:	    // 工事番号
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ConstructionTime:	    // 工期
+                        strcmd += string.Format(" ConstructionTime = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.IntegratedCode:	    // 積算者
+                        strcmd += string.Format(" IntegratedCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.DataCreateDate:       // データ引込日
+                        strcmd += string.Format(" DataCreateDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.RetValue1:            // 予定価格
+                        strcmd += string.Format(" RetValue1 = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.RetValue2:            // 直接工事費
+                        strcmd += string.Format(" RetValue2 = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.RetValue3:            // 積み上げ共通仮設費
+                        strcmd += string.Format(" RetValue3 = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.RetValue4:            // 積み上げ現場管理費
+                        strcmd += string.Format(" RetValue4 = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.RetPercent:           // 一般管理費率
+                        strcmd += string.Format(" RetPercent = {0}", ((double)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region 主キー検索の文字列を返す
 
         /// <summary>
